Results 1 to 2 of 2

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Help please help

  1. #1
    Default Help please help
    I havent slept and Im terrified i destroyed my i phone...

    so please help..

    I have a 1.1.2 OTB which i used turbosim to make work with fido for past 2 months.... and then i upgraded to 1.1.3 and all went to shitter.

    It locked my iphone, at which point I degraded to 1.1.1 and when i try to install app it doesnt, it just says incorrect sim. and no matter how many times I try installing app from jailbreakme, it returns to welcome page where it says incorrect sim.

    Please help!

  2. #2
    What's Jailbreak? bob_napalm's Avatar
    Join Date
    Jan 2008
    Posts
    12
    Thanks
    1
    Thanked 2 Times in 1 Post
    Same problem here mate. I believe our baseband has been upgraded which breaks the TurboSIM unlocking or something. Mine is currently at 04.03.13_G (Settings > General > About).

    You should still be able to jailbreak the phone though. Try hooking it back into iTunes and shift + restore the 1.1.1 firmware back on there and follow the jailbreak guide.

    I was following this one today and it got me all the way from 1.1.3 down to 1.1.1 jailbroken and then upto 1.1.2 jailbroken (remember to install oktoprep before you shift + UPGRADE from 1.1.1 to 1.1.2). I have everything working except my carrier. I'm using a NextSIM I believe and that is not working with this new baseband

    I think I might have to open the phone up and perform a hardware mod to downgrade the 4.6 bootloader so I can software unlock my sim.
    http://www.modmyi.com/forums/showthread.php?t=29358

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •